System 2.0.0.0 4.0.0.0 System.Object

Designers serialize themselves to code through an engine that searches through the live property values of objects and generates those values as code. So, for example, the text of a button is generated in the following format.

`this.okButton.Text = "OK";`

One of the limitations of this scheme is that it is difficult to retrieve a property from another location. For example, it is very difficult to emit code in the following format, because the only thing the code generator can rely on is the value in the property.

`this.titleLabel.Text = this.Text;`

Provides the base class for relating one member to another.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.Serialization.MemberRelationship ``

  The default implementation stores relationships in a dictionary using weak references, so the relationship table does not keep objects alive.

  Gets a relationship to the given source relationship.

  A relationship to , or if no relationship exists.

  The source relationship.
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.Serialization.MemberRelationship `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.Serialization.MemberRelationship `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method clears any existing relationship if the relationship parameter is . The default implementation stores relationships in a dictionary using weak references so the relationship table does not keep objects alive.

  Creates a relationship between the source object and target relationship.

  The source relationship. The relationship to set into the source.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Gets a value indicating whether the given relationship is supported.

  true if a relationship between the given two objects is supported; otherwise, false.

  The source relationship. The relationship to set into the source.